Subject: Re: bug#19636: [TRAMP] global minor mode hangs connection when accessing files in :lighter
From: Michael Albinus <[email-masked]>
To: Philippe Vaucher <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Jul 2017 15:12:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.1

Philippe Vaucher <[email-masked]> writes:

Hi Philippe,

>     > Basically, do nothing if there's no reliable way of getting the
>     > information yet (we are remote and not connected yet).
>
>     Sounds reasonable for me, thanks for reporting the status. I also
>     recommend to test with the development version of Emacs (aka
>     26.0.50), because there have been serious changes in Tramp.
>
> Good idea.
>
>     Well, I don't see what could be done else here on emacs-devel.
>     What do you expect us to do else?
>
> Oh, I was just reporting my findings. Not much you can do except keep
> in mind people *do* call various emacs api on buffer-file inside :
> lighter or even inside the function that has to decide wether a mode
> should be on or off, so the emacs api should be resilient to errors
> reguarding this. Currently it fails kinda catastrophically when you
> don't check with `file-remote-p` beforehand (emacs hang and one has to
> furiously press C-g or C-c to get emacs back, and often this is not
> sufficient as any command you want to type hangs again, so one has to
> quit).

I'm closing this bug, because there's nothing left to do.

Tramp 2.3.2 of Emacs 26.0.50 has seen some patches for improving
asynchronous processes. Maybe they help you.

> Philippe

Best regards, Michael.